
QGIS Application - Bug report #45

new added field isn't in label

2006-04-03 07:54 AM - jobi-users-sourceforge-net -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10104

Description

I added a new field 'name' with some text to a GRASS

layer and then wanted to display this as label.

But it doesn't appear in the label dropdown of the

preferences of this layer.

History

#1 - 2006-04-03 07:57 AM - Radim Blazek

This is because vector properties dialog is created 

once for vecter layer and it is not updated when 

data source changed.

Radim

#2 - 2006-04-03 07:59 AM - Marco -

This problem will be solved once the vector layer properties

will not be  

stored any more (after 0.7). If the properties dialog is created

for each 

reopen, it will always have the most recent list of attributes

for a layer.

Marco

#3 - 2006-04-08 04:03 AM - Gavin Macaulay -

It's easy enough to create a new vector layer properties dialog box each time the user requests it - there would be a slight time delay though. Is this

something that people think is a reasonable thing to do, or should we consider something a bit more sophisticated?

#4 - 2006-05-06 11:12 PM - Gavin Macaulay -

This may be resolved in SVN . I'm unfamilair with grass, so can someone try it?
#5 - 2006-08-10 09:19 AM - anonymous -

- Status changed from Open to Closed

- Resolution set to fixed

Fixed in revision 5686.

Radim

#6 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
